searchNodes=[{"doc":"Handles caching values under different cache names, can expire keys","ref":"CacheMoney.html","title":"CacheMoney","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"CacheMoney.html#child_spec/1","title":"CacheMoney.child_spec/1","type":"function"},{"doc":"Deletes the key from the cache","ref":"CacheMoney.html#delete/3","title":"CacheMoney.delete/3","type":"function"},{"doc":"Gets the value out of the cache using the key . If the value does not exist in the cache nil will be returned.","ref":"CacheMoney.html#get/3","title":"CacheMoney.get/3","type":"function"},{"doc":"Gets the value out of the cache using the key . Lazily fetches the data, inserts it into the cache, and returns it if it does not exist. Optional expiry is in seconds.","ref":"CacheMoney.html#get_lazy/5","title":"CacheMoney.get_lazy/5","type":"function"},{"doc":"Sets key in the cache to value","ref":"CacheMoney.html#set/3","title":"CacheMoney.set/3","type":"function"},{"doc":"Sets key in the cache to value","ref":"CacheMoney.html#set/4","title":"CacheMoney.set/4","type":"function"},{"doc":"Sets key in the cache to value , which expires after expiry seconds","ref":"CacheMoney.html#set/5","title":"CacheMoney.set/5","type":"function"},{"doc":"Starts a CacheMoney process linked to the current process. Arguments cache - the name of the cache. Multiple caches using the same adapter will all be in the same spot, but will be namespaced by the given cache name. conifg - contains various configuration options for the cache, depending on the adapter. :adapter is required to be set, and must be set to a module that implements CacheMoney.Adapter , such as CacheMoney.Adapters.Redis or CacheMoney.Adapters.ETS . Different adapters will also specify other required optionso be passed to them through the config argument opts - see GenServer.start_link/3 . Options are passed straight through to the underlying GenServer","ref":"CacheMoney.html#start_link/3","title":"CacheMoney.start_link/3","type":"function"},{"doc":"The name of the cache, used for namespacing multiple caches on the same adapter. Can be either a binary or an atom, but will always be converted to a binary.","ref":"CacheMoney.html#t:cache_name/0","title":"CacheMoney.cache_name/0","type":"type"},{"doc":"The key a value will be set under. Can be either a binary or an atom, but will always be converted to a binary.","ref":"CacheMoney.html#t:key/0","title":"CacheMoney.key/0","type":"type"},{"doc":"Currently the only option available is an optional timeout that gets passed along with GenServer.call","ref":"CacheMoney.html#t:options/0","title":"CacheMoney.options/0","type":"type"},{"doc":"","ref":"CacheMoney.html#t:server/0","title":"CacheMoney.server/0","type":"type"},{"doc":"The value to be saved in the cache. Can be any value going in to the cache, but depending on the adapter used, may not be the same value going out. For example, CacheMoney.Adapters.ETS can save any elixir term, including pid s. CacheMoney.Adapters.Redis , however, can only save items as strings.","ref":"CacheMoney.html#t:value/0","title":"CacheMoney.value/0","type":"type"},{"doc":"This module specifies the adapter API that an adapter is required to implement.","ref":"CacheMoney.Adapter.html","title":"CacheMoney.Adapter","type":"behaviour"},{"doc":"","ref":"CacheMoney.Adapter.html#c:delete/2","title":"CacheMoney.Adapter.delete/2","type":"callback"},{"doc":"","ref":"CacheMoney.Adapter.html#c:get/2","title":"CacheMoney.Adapter.get/2","type":"callback"},{"doc":"","ref":"CacheMoney.Adapter.html#c:set/3","title":"CacheMoney.Adapter.set/3","type":"callback"},{"doc":"","ref":"CacheMoney.Adapter.html#c:set/4","title":"CacheMoney.Adapter.set/4","type":"callback"},{"doc":"","ref":"CacheMoney.Adapter.html#c:start_link/1","title":"CacheMoney.Adapter.start_link/1","type":"callback"},{"doc":"","ref":"CacheMoney.Adapter.html#t:config/0","title":"CacheMoney.Adapter.config/0","type":"type"},{"doc":"","ref":"CacheMoney.Adapter.html#t:expiry/0","title":"CacheMoney.Adapter.expiry/0","type":"type"},{"doc":"","ref":"CacheMoney.Adapter.html#t:key/0","title":"CacheMoney.Adapter.key/0","type":"type"},{"doc":"","ref":"CacheMoney.Adapter.html#t:t/0","title":"CacheMoney.Adapter.t/0","type":"type"},{"doc":"","ref":"CacheMoney.Adapter.html#t:value/0","title":"CacheMoney.Adapter.value/0","type":"type"},{"doc":"Redis Adapter for Cache Money","ref":"CacheMoney.Adapters.ETS.html","title":"CacheMoney.Adapters.ETS","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"CacheMoney.Adapters.ETS.html#child_spec/1","title":"CacheMoney.Adapters.ETS.child_spec/1","type":"function"},{"doc":"Redis Adapter for Cache Money","ref":"CacheMoney.Adapters.Redis.html","title":"CacheMoney.Adapters.Redis","type":"module"},{"doc":"Copyright (c) 2018 Trevor Fenn Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"Simple caching for Elixir using ETS or Redis","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"The package can be installed by adding :cache_money to your list of dependencies in mix.exs : def deps do [ { :cache_money , &quot;~&gt; 0.5.2&quot; } ] end","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"Create your cache by calling CacheMoney.start_link/3 : alias CacheMoney.Adapters.Redis { :ok , cache } = CacheMoney . start_link ( :my_cache , %{ adapter : Redis } ) The first argument is your cache name, in most implementations the cache name will simply be prepended to your keys in order to keep your caches separate. The second argument is a map that contains an :adapter , which should be from CacheMoney.Adapters , or anything that implements the CacheMoney.Adapter behaviour. The rest of the values of this map are passed to the adapter, and are specified by the adapter. The third argument is a keyword list of options that are passed to the underlying genserver, should you need to customize the genserver further. Now you can put stuff in the cache, and retrieve it later! CacheMoney . set ( cache , :foo , &quot;bar&quot; ) CacheMoney . get ( cache , :foo ) # &quot;bar&quot; set also includes an expiry param, should you want the value in the cache to expire (expiry is in milliseconds, however some adapters can't handle an expiration less than one second (such as redis). In these cases, the expiry will be set to 1 second.) CacheMoney . set ( cache , :foo , &quot;bar&quot; , 10_000 ) CacheMoney . get ( cache , :foo ) # More than 10 seconds later CacheMoney . get ( cache , :foo ) # nil get_lazy/3 and get_lazy/4 (with an expiry) are also available, which allows you to provide a function that will get the value. The value will be saved, and then returned. CacheMoney . get_lazy ( cache , :foo , fn -&gt; &quot;expensive to get data&quot; end ) # &quot;expensive to get data&quot; CacheMoney . get_lazy ( cache , :foo , fn -&gt; &quot;I don&#39;t get executed&quot; end ) # &quot;expensive to get data&quot;","ref":"readme.html#basic-usage","title":"Overview - Basic Usage","type":"extras"},{"doc":"Copyright (c) 2018 Trevor Fenn This work is free. You can redistribute it and/or modify it under the terms of the MIT License. See the LICENSE.md file for more details.","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]